For the complete documentation index, see llms.txt. This page is also available as Markdown.

Credit Card Pre Auth

How to use CreditCard Pre Auth in Costa Rica.

Payin by CreditCard Pre Auth

POST https://gateway-test.pagsmile.com/trade/pre-authorization

This endpoint allows you to submit CreditCard Pre Auth in Costa Rica.

Headers

Name
Type
Description

Content-Type*

string

application/json; chartset=UTF-8

Authorization*

string

Basic Base($app_id:$security_key)

Request Body

Name
Type
Description

app_id*

string

created app's id at dashboard

- Max. 32 chars -

out_trade_no*

string

ID given by the merchant in their system - Max. 64 chars -

notify_url*

string

Where Pagsmile will send notification to

timestamp*

string

yyyy-MM-dd HH:mm:ss - Max. 19 chars -

subject*

string

payment reason or item title

- Max. 128 chars -

order_amount*

string

payment amount - 500 ~ 1,000,000 -

order_currency*

string

Fixed value: CRC

content

string

payment reason detail or item detail

- Max. 255 chars -

buyer_id*

string

merchant user's id

version*

string

Fixed value: 2.0

token*

string

Get from here

customer.name*

string

User's name

Example

Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.

Last updated